extern crate derive_more;
use askama_axum::Template;
use derive_more::Display;
use rust_embed::RustEmbed;

#[derive(RustEmbed)]
#[folder = "dist/assets/"]
pub struct Assets;

#[derive(Display, Clone)]
#[display("({}, {})", name, content)]
pub struct Meta {
    pub name: String,
    pub content: String,
}

#[derive(Template)]
#[template(path = "base.html")]
pub struct BaseTemplate {
    pub view: String,
    pub title: String,
    pub meta: Option<Vec<Meta>>,
}

#[test]
fn test_render() {
    println!(
        "{}",
        BaseTemplate {
            view: String::from("home"),
            title: String::from("test"),
            meta: Some(vec![Meta {
                name: String::from("github"),
                content: String::from("https://github.com")
            }])
        }
        .render()
        .unwrap()
    );
}
